<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::post('login', 'API\APIController@do_login');
Route::post('test', 'API\APIController@test');

Route::group(['middleware' => ['auth.app']], function () {
    Route::post('institucion', 'API\APIController@institucion');
    Route::post('telefonos', 'API\APIController@telefonos');
    Route::post('reportar', 'API\APIController@reportar');
    Route::post('incidentes', 'API\APIController@incidentes');
    Route::post('iniciar-reporte', 'API\APIController@iniciar_reporte');
    Route::post('chat-enviar', 'API\APIController@registro_chat');  
    Route::post('chat-refresh', 'API\APIController@chat_refresh'); 
    Route::post('chat-vistos', 'API\APIController@mensaje_visto');     
    Route::post('chat', 'API\APIController@chat');    
    Route::post('preguntas', 'API\APIController@preguntas');   
    Route::post('codigo-update', 'API\APIController@codigoUpdate');    
    Route::post('comunicados', 'API\APIController@comunicados');    
    Route::post('comunicado', 'API\APIController@comunicado');     
    Route::post('calificar', 'API\APIController@calificar'); 
    Route::post('logout', 'API\APIController@logout');
    Route::post('home', 'API\APIController@home_tabs');  
    Route::post('update-token', 'API\APIController@update_token'); 
    Route::post('incidetes-chats', 'API\APIController@incidentes_chats');  
    // Route::post('comunicado-visto', 'API\APIController@view_comunicado');        
});


// Route::middleware('auth:api')->get('/user', function (Request $request) {
    //     return $request->user();
    // });
    