<?php $__env->startSection('contentTitle', 'Usuarios de instituciones'); ?>

<?php $__env->startSection('topButton'); ?>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                <div class="table-responsive">
                    <table id="table_principal" class="display nowrap table table-hover table-striped table-bordered" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Nombre</th>
                                <th>Apellido</th>
                                <th>Institución</th>
                                <th>Perfil</th>
                                <th>Correo</th>
                                <th>Teléfono</th>
                                <th>Acciones</th>
                            </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $users_join; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    
                                    <tr>
                                        <td><?php echo e($key + 1); ?></td>
                                        <td><?php echo e($item->name); ?></td>
                                        <td><?php echo e($item->lastname); ?></td>
                                        <td><?php echo e($item->name_institucion); ?></td>
                                        <td>
                                            <?php if( $item->user_profile_id == 3 ): ?>
                                                Master
                                            <?php else: ?>
                                                Otro
                                            <?php endif; ?>
                                        </td>
                                        
                                        <td><?php echo e($item->email); ?></td>
                                        <td><?php echo e($item->phone); ?></td>
                                        <td>
                                            <?php if( $permitions["edit"] ): ?>
                                                <a href="<?php echo e(route('user_edit', base64_encode($item->id_user))); ?>">
                                                    <button type="button" class="btn btn-sm waves-effect waves-light btn-success"><i class="fas fa-edit"></i> Editar</button>
                                                </a>
                                            <?php endif; ?>
                                            <?php if( $permitions["delete"] ): ?>
                                                <a href="<?php echo e(route('user_delete',  base64_encode($item->id_user))); ?>" class="btn-delete"><button type="button" class="btn btn-sm waves-effect waves-light btn-danger"><i class="fas fa-minus-circle"></i> Eliminar</button></a>
                                            <?php endif; ?>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                    </table>
                </div>

                

                    

                    

                

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/table.js')); ?>

    <?php echo e(Html::script('system/js/form.js')); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>