<?php $__env->startSection('contentTitle', 'Teléfonos de emergencia'); ?>

<?php $__env->startSection('topButton'); ?>
    <?php if( $permitions["create"] ): ?>    
        <a href="<?php echo e(route('nuevo_telefono')); ?>" class="m-l-15">
            <button type="button" class="btn btn-info d-none d-lg-block">
                <i class="fa fa-plus-circle"></i> Nuevo número de emergencia
            </button>
        </a>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('CSS'); ?>
    
    
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <style>
        .panel-default{
            border-width: 1px;
            border-style: solid; 
            border-color: #eee;           
            border-radius: 10px;
            background-color: #F7F7F7;
        }

        .connectedSortable{
            margin-bottom: 12px;
        }

        .botones{
            padding-top: 30px;
        }

    </style>
<?php $__env->stopSection(); ?>



<?php $__env->startSection('content_dashboard'); ?>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body" id="sortable1">
                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $telefono): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                        <div class="panel panel-default connectedSortable" panel_id="<?php echo e($telefono->id); ?>">
                            
                            <div class="panel-body">
                                <br>
                                <div class="row" style="padding-left: 10px;">
                                    <div class="col-lg-5 col-md-5">
                                        <div class="form-group">
                                            <label for="">Nombre</label>
                                            <input type="text" value="<?php echo e($telefono->name); ?>" class="form-control" name="" id="name-<?php echo e($telefono->id); ?>">
                                        </div>                                    
                                    </div>
                                    <div class="col-lg-5 col-md-5">
                                        <div class="form-group">
                                            <label for="">Número de teléfono</label>
                                            <input type="text" value="<?php echo e($telefono->telefono); ?>" class="form-control" name="" id="tel-<?php echo e($telefono->id); ?>">
                                        </div>                                    
                                    </div>
                                    <div class="col-lg-2 col-md-2 botones">
                                        
                                        <a class="btn btn-info" href="<?php echo e(route('editar_telefono', base64_encode($telefono->id))); ?>"> Editar </a>
                                        <button class="btn btn-danger" onclick="eliminar( <?php echo e($telefono); ?> )"> Eliminar </button>
                                        
                                    </div>
                                </div>
                                
                            </div>
                            
                            
                        </div>
                        

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                </div>
                
            </div>
        </div>
    </div>


    <div class="modal fade" tabindex="-1" role="dialog" id="editar-telefono">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Editar teléfono</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                
                

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
              <button type="button" class="btn btn-info" id="btn-update-telefono">Guardar cambios</button>
            </div>
          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->
<?php $__env->stopSection(); ?>


<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/table.js')); ?>

    <?php echo e(Html::script('system/js/form.js')); ?>  

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    
    
    

    <script>

        var status = 0;
        var telefonos = <?php echo json_encode( $data ); ?>;

        // load( telefonos );

        console.log(telefonos);    

        $("#sortable1").sortable({
            connectWith: ".connectedSortable",
            remove: function(event, ui) {
                ui.item.clone().appendTo('#sortable2');
                $(this).sortable('cancel');
            },
            stop: function( event, ui ){

                var orden = [];

                $("#sortable1 div.connectedSortable").each(function(index){
                    
                    var element = $(this).attr("panel_id"); // <-- en la variable element tienes tu elemento
                    console.log(index, element);
                    orden.push( { orden: index, id: element } );
                    // if (index ){ // ignorando el primer elemento cuando index es igual 0
                    // }

                });
                
                updateOrdenNumero( orden );
                console.log( orden );

            }
        }).disableSelection();

        // function load( telefonos ){

        //     if( telefonos.length == 0 ){
        //         return;
        //     }

        //     for( var telefono of telefonos ){
        //         console.log( telefono );
        //         $("#switch-"+telefono.id).bootstrapSwitch({                           
        //             size: "mini",
        //             animate: true,
        //             onColor: "primary",
        //             onText: "Activo",
        //             offText:"Inactivo",
        //             onSwitchChange: function (event, state) {
        //                 event.preventDefault();
        //                 if( status == 1 ){
        //                     var value = $(this).attr("tel");
        //                     activoInactivo(state, value);
        //                 }

        //                 return console.log(state, event.isDefaultPrevented())
        //             }
        //         }); 

        //         if( telefono.estatus ){
        //             $("#switch-"+telefono.id).bootstrapSwitch('state', 1);
        //         }else{
        //             $("#switch-"+telefono.id).bootstrapSwitch('state', 0);
        //         }

        //     }
        // }

        // function activoInactivo( state, event ){
        //     console.log("state", state, event);
        // }

        function editar( telefono, id ){
            
            var name     = $("#name-"+telefono.id).val();
            var telefono = $("#tel-"+telefono.id).val();                     
            
            // $.ajax({
            //     url: '<?php echo e(route("update_telefono_new")); ?>',
            //     type: "POST",
            //     data: { id: id, name:name, telefono:telefono },
            //     error: function (jqXHR, status, error) {
            //         var content = "";
            //         for( var res in jqXHR.responseJSON.errors ){
            //             content = content + jqXHR.responseJSON.errors[res][0] + "<br>";
            //             // console.log( jqXHR.responseJSON.errors[res] );
            //         }

            //         var form = document.createElement("div");
            //         form.innerHTML = content;
                    
            //         swal({                       
            //             text: "Error",
            //             content: form,
            //             icon: "warning",                        
            //         });
            //     },  
            //     success: function (response) {
            //         // table_principal
            //         if( response.status ){
            //             $("#name-"+telefono.id).val(name);
            //             $("#tel-"+telefono.id).val(telefono); 
            //             swal("Excelente!", response.message, "success");
            //             // loadVacaciones();
            //         }
            //         console.log(response);
                    
            //     }                         
            // });

        }

        function eliminar( telefono ){
            swal({
                    title: "Teléfono",
                    text: "¿Deseas eliminar el teléfono seleccionado?",
                    icon: "warning",          
                    buttons: ["No", "Sí, eliminar"],
                    showDenyButton: true,
                    showCancelButton: true,
                    dangerMode: true,
                })
                .then((result) => {
                    
                if (result) {

                    $.ajax({
                        url: '<?php echo e(route("eliminar_telefono_new")); ?>',
                        type: "POST",
                        data: { id:telefono.id },
                        error: function (e) {
                        
                        },  
                        success: function (response) {
                            // table_principal
                            if( response.status ){                                
                                swal("Excelente!", response.message, "success");
                                setTimeout(function(){
                                    location.reload();
                                },2000);
                                // loadVacaciones();
                            }
                            console.log(response);
                            
                        }                         
                    });

                } 
                // else {
                //     swal("Your imaginary file is safe!");
                // }
            });
        }

        function updateOrdenNumero( orden ){
            $.ajax({
                url: '<?php echo e(route("update_orden_telefono")); ?>',
                type: "POST",
                data: {orden:orden},
                error: function (e) {
                
                },  
                success: function (response) {
                    // table_principal
                    if( response.status ){
                        
                        swal("Excelente!", response.message, "success");
                        // loadVacaciones();
                    }
                    console.log(response);
                    
                }                         
            });
        }


        status = 1;

    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>