<?php $__env->startSection('CSS'); ?>
<link rel="stylesheet" href="<?php echo e(asset("assets/datetimepicker/jquery.datetimepicker.css")); ?>">

    <style>
        .btn-consultar{
            margin-top: 30px;
        }
    </style>

    
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<?php $__env->stopSection(); ?>    

<?php $__env->startSection('contentTitle', 'Reporte por usuario'); ?>

<?php $__env->startSection('topButton'); ?>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                <form action="">
                    <div class="row">

                        
                        <?php if($tipo): ?>
                            
                            <div class="form-group col-lg-2">
                                <label>Instituciones</label>
                                <select class="form-control" name="" id="instituciones">
                                    <option value=""></option>
                                    <?php $__currentLoopData = $instituciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $institucion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($institucion->id); ?>"><?php echo e($institucion->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    
                                </select>
                            </div>

                            <div class="form-group col-lg-2">
                                <label>Usuarios</label>
                                <select class="form-control" name="" id="usuarios">
                                    
                                    
                                </select>
                            </div>

                        <?php else: ?>

                            <div class="form-group col-lg-2">
                                <label>Usuarios</label>
                                <select class="form-control" name="" id="usuarios">
                                    <option value="0">Todos</option>
                                    <?php $__currentLoopData = $usuarios; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>

                        <?php endif; ?>
    
                        

                        <div class="form-group col-lg-2">
                            <label>Fecha inicio</label>
                            
                            <input type="text" id="datetimepicker_format" class="input input-wide form-control fecha-inicial"/>
                        </div>

                        <div class="form-group col-lg-2">
                            <label>Fecha fin</label>
                            
                            <input type="text" id="datetimepicker_format_2" class="input input-wide form-control fecha-final"/>
                        </div>

                        <div class="col-lg-2">                                                        
                            <button type="button" class="btn btn-consultar btn-info" id="consultar">Consultar</button>
                        </div>

                    </div>
                </form>

                <div class="row">
                    
                    <ul class="nav nav-tabs mb-3" id="pills-tab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-item nav-link active" id="#pie-li" data-toggle="pill" href="#pie" role="tab" aria-controls="pie" aria-selected="true">
                                <i class="fa fa-pie-chart" aria-hidden="true"></i>
                            </a>
                        </li>
                        <li class="nav-item">                            
                            <a class="nav-item nav-link tablas-footer" id="grap-li" data-toggle="pill" href="#grap" role="tab" aria-controls="vacaciones" aria-selected="false" onclick="graficas()">
                                <i class="fa fa-bar-chart" aria-hidden="true"></i>
                            </a>
                        </li>                    
                    </ul>

                </div>

                <div class="tab-content">
                    <div class="tab-pane fade show active" id="pie" role="tabpanel" aria-labelledby="puntaje-tab"> 
                        <div class="row">
                            <div class="col-lg-4"></div>
                            <div class="col-lg-4">                                
                                Abiertos( <strong style="color: #007bff;" id="head-abierto"></strong> )
                                Seguimiento( <strong style="color: #28a745;" id="head-seguimiento"></strong> )
                                Cerrados( <strong style="color: #dc3545 ;" id="head-cerrados"></strong> )                                
                            </div>
                        </div>
                        <div id="piechart" style="width: 100%; height: 600px;"></div>                                                        
                    </div>

                    <div class="tab-pane fade show" id="grap" role="tabpanel" aria-labelledby="puntaje-tab">                        
                        <div id="chart_div" style="width: 100%; height: 400px;"></div>
                    </div>
                </div> 

                


                <div class="row">
                    <div class="col-12">
                        <div class="table-responsive">
                            <h4>Registros</h4>

                            <table class="table table-striped table-bordered" id="table_principal">
                                <thead>
                                    <tr>
                                        <td>#</td>
                                        <td>Id Usuario App</td>
                                        <td>Codigo</td>
                                        <td>Estatus</td>
                                        <td>Sector</td>
                                        <td>Fecha</td>
                                    </tr>
                                </thead>
                                <tbody id="registros">

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?>


    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

    <script src="<?php echo e(asset("assets/datetimepicker/php-date-formatter.min.js")); ?>"></script>
    <script src="<?php echo e(asset("assets/datetimepicker/jquery.mousewheel.js")); ?>"></script>
    <script src="<?php echo e(asset("assets/datetimepicker/jquery.datetimepicker.js")); ?>"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.15/lodash.min.js"></script>

    <script>

        var charts = [];
        var dataIncidentes = [];
        var chartsColumna = [];

        $.datetimepicker.setLocale('es');

        var date = new Date();

        $('#datetimepicker_format').datetimepicker({value:date, format: $("#datetimepicker_format_value").val()});
        $('#datetimepicker_format_2').datetimepicker({value:date, format: $("#datetimepicker_format_value").val()});  

        $("#instituciones").change(function(){
            var valor = $(this).val();
            loadUsuarios(valor);
            console.log( valor );
        });

        function loadUsuarios( institucion ){
            $.ajax({
                url: '<?php echo e(route("usuarios_institucion")); ?>',
                type: "POST",
                data: {institucion},
                error: function (jqXHR, status, error) {
                    
                    var content = "";
                    for( var res in jqXHR.responseJSON.errors ){
                        content = content + jqXHR.responseJSON.errors[res][0] + "<br>";                                                
                    }

                    var form = document.createElement("div");
                    form.innerHTML = content;
                                            
                    swal({                       
                        text: "Error",
                        content: form,
                        icon: "error",                        
                    });                     
                },  
                success: function (response) {
                    console.log( response );

                    if( response.usuarios.length == 0 ){
                        swal({                       
                            text: "No se encontraron usuarios en esta institución",
                            content: "",
                            icon: "error",                        
                        });    
                    }else{
                        $("#usuarios").empty();
                        $("#usuarios").append("<option value='0'></option>");
                        for( var usuario of response.usuarios ){
                            $("#usuarios").append("<option value='"+usuario.id+"'>"+usuario.name+" "+ usuario.lastname +"</option>");                            
                        }

                    }
                    
                }                         
            });
        }

        $("#consultar").click(function(){
            var instituciones    = null;
            instituciones = $("#instituciones").val();
            var usuario = $("#usuarios").val();
            // var categoria = $("#categoria").val();
            var date_1  = $("#datetimepicker_format").val();
            var date_2  = $("#datetimepicker_format_2").val();                        
            console.log({ instituciones, usuario, date_1, date_2 });
            $.ajax({
                url: '<?php echo e(route("consulta_usuarios")); ?>',
                type: "POST",
                data: { instituciones, usuario, date_1, date_2 },
                error: function (jqXHR, status, error) {
                    
                    var content = "";
                    for( var res in jqXHR.responseJSON.errors ){
                        content = content + jqXHR.responseJSON.errors[res][0] + "<br>";                        
                        console.log("RES",content);
                    }

                    var form = document.createElement("div");
                    form.innerHTML = content;
                                            
                    swal({                       
                        text: "Error",
                        content: form,
                        icon: "error",                        
                    });                     
                },  
                success: function (response) {

                    console.log( response );

                    $("#head-abierto").empty();
                    $("#head-seguimiento").empty();
                    $("#head-cerrados").empty();
                    
                    if( response.status ){
                        console.log( response );
                        $("#registros").empty();
                        $("#table_principal").DataTable().clear().destroy();
                        var num = 0;
                        for( var reg of response.incidentes ){
                            num++;
                            $("#registros").append("<tr><td>"+ num +"</td><td>"+ reg.id_user +"</td><td>"+ reg.codigo +"</td><td>"+ status( reg.estatus ) +"</td><td>"+ sector( reg.sector ) +"</td><td>"+reg.created_at+"</td></tr>");
                        }

                        setTimeout( function(){
                            $("#table_principal").DataTable();
                        },1000);                        

                        // var group = _.groupBy(response.incidentes, "created_at");
                                            
                        // console.log(group);

                        charts = [ 
                                    ['Task', 'Incidentes por categoria'],
                                    ["Abierto", response.abierto], 
                                    ["Seguimiento", response.seguimiento],
                                    ["Cerrado", response.cerrado]  
                                ];
                                console.log( charts );
                        $("#head-abierto").append( response.abierto );
                        $("#head-seguimiento").append( response.seguimiento );
                        $("#head-cerrados").append( response.cerrado );
                        chart();

                        addMesDia( response.incidentes );
                        // swal("Reportes!", response.message, "success");
                    }else{
                        swal("Reportes!", response.message, "error");
                    }
                    console.log(response);
                }                         
            });

        });

        function chart(){

            google.charts.load('current', {'packages':['corechart']});
            google.charts.setOnLoadCallback(drawChart);            

        }

        function drawChart() {            
            var data = google.visualization.arrayToDataTable(                
                charts
                // ['Abierto',     11],
                // ['Seguimiento',      10],
                // ['Cerrado',  8],            
            );

            var options = {
                title: 'Reporte por categoria',
                is3D: true,
                colors: ['#007bff', '#28a745', '#dc3545'],
            };

            var chart = new google.visualization.PieChart(document.getElementById('piechart'));

            chart.draw(data, options);
        }

        function addMesDia( data ){
            dataIncidentes = [];
            for( var reg of data ){
                var fecha = separador( reg.created_at, " ", 0 );
                dataIncidentes.push( { fecha: fecha, created_at: reg.created_at, estatus: reg.estatus, codigo:reg.codigo } );
            }

            var group = _.groupBy(dataIncidentes, "fecha");
            
            conteoGrfica(group);
        }
       

        function conteoGrfica( group ){

            chartsColumna = [];
            var  grafica = [];
            grafica.push(['Día', 'Abierto', 'Seguimiento', 'Cerrado']);
            for( var gpo in group ){
                console.log("GUPOOO", group );
                grafica.push( [ gpo, sumaEstatus(group[gpo], 1), sumaEstatus(group[gpo], 2), sumaEstatus(group[gpo], 3)] );
                // console.log( "gpo", group[gpo], sumaEstatus(group[gpo], 1), sumaEstatus(group[gpo], 2), sumaEstatus(group[gpo], 3) );
            }

            chartsColumna = grafica;
            
        }

        function status( status ){
            if( status == 1 ){
                return "Activo";
            }else if( status == 2 ){
                return "Seguimiento";
            }else{
                return "Cerrado";
            }
        }

        function sector( sector ){
            if( sector == 0 ){
                return "Public";
            }else{
                return "Privado";
            }
        }

        function separador( texto ,separador, numArray ){
            return texto.split(separador)[numArray];
        }

        function sumaEstatus( arr, num_search ){
            
            var num = 0;
            for( var estatus of arr ){
                if( num_search == estatus.estatus ){
                    num++;                
                }
            }

            return num;
        }

        function grafica(){
            google.charts.load('current', {packages: ['corechart', 'bar']});
            google.charts.setOnLoadCallback(drawBasic);
        }

        function chartColumn(){
            google.charts.load('current', {'packages':['bar']});
            google.charts.setOnLoadCallback(drawChartColumn);
        }

        function graficas(){
            
            setTimeout(function(){
                chartColumn();
                // google.charts.load('current', {packages: ['corechart', 'bar']});
                // google.charts.setOnLoadCallback(drawMultSeries);
            },500);
        } 

        function drawChartColumn() {

            console.log("chartsColumna", chartsColumna);

            var data = google.visualization.arrayToDataTable(          
            chartsColumna
            //   ['2014', 1000, 400, 200],
            //   ['2015', 1170, 460, 250],
            //   ['2016', 660, 1120, 300],
            //   ['2017', 1030, 540, 350]
            );

            var options = {
            chart: {
                title: 'Reporte por usuario',
                // subtitle: 'Por día',
            },
            bars: 'vertical',
            vAxis: {format: 'decimal'},
            height: 400,
            colors: ['#007bff', '#28a745', '#dc3545']
            };

            var chart = new google.charts.Bar(document.getElementById('chart_div'));

            chart.draw(data, google.charts.Bar.convertOptions(options));

            // var btns = document.getElementById('btn-group');

            // btns.onclick = function (e) {

            //   if (e.target.tagName === 'BUTTON') {
            //     options.vAxis.format = e.target.id === 'none' ? '' : e.target.id;
            //     chart.draw(data, google.charts.Bar.convertOptions(options));
            //   }
            // }
        }


    </script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>