@extends('back.layout.dashboard')

@section('contentTitle', 'Nuevo teléfono')

@section('topButton')
    <a href="{{ route('telefonos') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop

@section('CSS')
    
    <style>
        .head{
            font-weight: bold;
            font-size: 14px;
            padding-top: 20px;
            padding-bottom: 10px;
        }
    </style>

@endsection

@section('content_dashboard')

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                {{ Form::open(['route' => 'save_telefono', 'class' => 'form-horizontal']) }}

                    <div class="row">

                        <div class="col-lg-6">
                                                        
                            <div class="form-group">
                                <label>Contacto</label>
                                <input type="text" name="contacto" maxlength="100" placeholder="Contacto" class="form-control">
                            </div>
    
                            <div class="form-group">
                                <label>Teléfono</label>
                                <input type="text" name="telefono" maxlength="100" placeholder="Teléfono" class="form-control">
                            </div>
                        
                        </div>                                                  

                    </div>
 
                    <button type="submit" class="btn btn-info">Guardar</button>

                {{ Form::close() }}

            </div>
        </div>
    </div>

@stop


@section('JS')
    {{ Html::script('system/js/form.js')  }} 
@stop