<?php $__env->startSection('contentTitle', 'Editar comunicado'); ?>

<?php $__env->startSection('topButton'); ?>
    <a href="<?php echo e(route('comunicados')); ?>" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('CSS'); ?>
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <style>
        .head{
            font-weight: bold;
            font-size: 14px;
            padding-top: 20px;
            padding-bottom: 10px;
        }
        .select2-container--default .select2-selection--multiple .select2-selection__choice{
            /* padding: 2px 25px !important; */
            padding-left: 28px !important;
            background-color: #428bca !important;
            border: 1px solid #fff !important;            
        }

        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
            border-right: 1px solid #fff;
        }

        .span:before{
            background-color: #428bca !important;
            border: 1px solid #fff !important;
        }

         
        .select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
            color: #fff !important;
        }       
    </style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content_dashboard'); ?>

    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">

                <?php echo e(Form::open(['route' => array( 'update_comunicado', base64_encode($comunicado->id) ), 'class' => 'form-horizontal'])); ?>


                <div class="row">

                    <div class="col-lg-6">
                                                    
                        <div class="form-group">
                            <label>Título del comunicado</label>
                            <input type="text" value="<?php echo e($comunicado->titulo); ?>" name="titulo" maxlength="100" placeholder="Titulo del comunicado" class="form-control">
                        </div>

                        <div class="form-group">
                            <label>Descripción</label>
                            <input type="text" value="<?php echo e($comunicado->descripcion); ?>" name="desc" maxlength="100" placeholder="Descripción" class="form-control">
                        </div>

                        <div class="form-group">
                            <label>Tipo</label>
                            <select class="form-control" name="tipo" name="" id="">
                                <?php $__currentLoopData = $tipos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tipo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                                    <?php if( $tipo["num"] == $comunicado->tipo ): ?>
                                        <option selected value="<?php echo e($tipo['num']); ?>"> <?php echo e($tipo["name"]); ?> </option>                                        
                                    <?php else: ?>                                     
                                        <option value="<?php echo e($tipo['num']); ?>"> <?php echo e($tipo["name"]); ?> </option>
                                    <?php endif; ?>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                              
                            </select>
                        </div>

                        <div class="form-group">
                            <label>Texto</label>
                            <textarea class="form-control" name="texto" id="" cols="30" rows="10"><?php echo e($comunicado->texto); ?></textarea>
                        </div>
                       
                        <div class="form-group">
                            <label>Dirigido a</label>
                            <select class="form-control js-example-basic-multiple" name="dirigido[]" multiple="multiple" name="dirigido">
                                <option value="0">Todos</option>
                                
                                <?php $__currentLoopData = $selecionados; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if( $item["select"] ): ?>
                                        <option selected value="<?php echo e($item['id']); ?>"> <?php echo e($item["codigo"]); ?> </option>    
                                    <?php else: ?>
                                        <option value="<?php echo e($item['id']); ?>"> <?php echo e($item["codigo"]); ?> </option>    
                                    <?php endif; ?>

                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           
                            </select>
                        </div>
                    
                    </div>           
                    
                    <div class="col-lg-6 col-md-6">

                        <div class="row">

                            <div class="form-group">

                                <div class="checkbox">
                                    <label>
                                        <input type="checkbox" name="url_video" id="add-url">
                                        Agregar URL de video
                                    </label>
                                </div>

                            </div>

                            <div class="col-md-12 col-lg-12" id="add-url-video" style="display: none">

                                <ul class="nav nav-tabs mb-3" id="pills-tab" role="tablist">
                                    <li class="nav-item">                            
                                        <a class="nav-item nav-link active" id="notas-li" data-toggle="pill" href="#notas" role="tab" aria-controls="notas" aria-selected="false">Subir video</a>
                                    </li>                    
                                    <li class="nav-item">
                                        <a class="nav-item nav-link" id="#youtube" data-toggle="pill" href="#youtube" role="tab" aria-controls="youtube" aria-selected="true">Url youtube</a>
                                    </li>
                                </ul>

                                <div class="tab-content">

                                    <div class="tab-pane fade show" id="youtube" role="tabpanel" aria-labelledby="youtube">
                                        
                                        <div class="form-control">
                                            <label for="">URL</label>
                                            <input type="text" name="url_youtube" value="<?php echo e($comunicado->url_youtube); ?>" id="" class="form-control" placeholder="Url de youtube">
                                        </div>                                                                                        

                                    </div>
                                    
                                    <div class="tab-pane fade show active" id="notas" role="tabpanel" aria-labelledby="puntaje-tab">
                                        
                                        <input type="file" src="<?php echo e(asset("".$comunicado->url_video)); ?>" class="form-control" id="file-video" name="video" accept="video/*">

                                        <div class="row" id="preview-video" style="display: none;">
                                            <div class="container">
                                                <br>
                                                <button type="button" class="btn btn-success btn-sm" id="view-video-modal">
                                                    <i class="fa fa-eye" aria-hidden="true"></i>
                                                    Previsualizar
                                                </button>

                                            </div>
                                        </div>

                                    </div>

                                </div>

                                <hr>

                            </div>
                           
                        </div>
                        <br>
                        <div class="row">
                            
                            <div class="form-group">

                                <div class="checkbox">
                                    <label>
                                      <input type="checkbox" name="imagen" id="add-img">
                                      Añadir Imagen
                                    </label>
                                </div>                                                                                                       

                            </div>                                                                                                                          

                        </div>

                        <div class="row" id="add-imagen-view" style="display: none;">
                            <div class="form-group">
                                <input type="file" id="file-imagen" class="form-control" name="imagen" accept="image/png,image/gif,image/jpeg">
                                
                                <div class="row" id="preview-img" style="display: none;">
                                    <div class="container">
                                        <br>
                                        <button type="button" class="btn btn-success btn-sm" id="view-img-modal">
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                            Previsualizar
                                        </button>

                                    </div>
                                </div>

                            </div>
                        </div>
                        <br>

                        <div class="row">
                                
                            <div class="form-group">

                                <div class="checkbox">
                                    <label>
                                      <input type="checkbox" name="add_pdf" id="add-pdf">
                                      Añadir PDF
                                    </label>
                                </div>                                                                                                       

                            </div>                                                                                                                          

                        </div>

                        <div class="row" id="add-pdf-view" style="display: none;">
                            <div class="form-group">
                                <input type="file" id="file-pdf" class="form-control" name="pdf" accept="application/pdf">
                                
                                <div class="row" id="preview-pdf" style="display: none;">
                                    <div class="container">
                                        <br>
                                        <button type="button" class="btn btn-success btn-sm" id="view-pdf">
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                            Previsualizar
                                        </button>

                                    </div>
                                </div>

                            </div>
                        </div>

                    </div>

                </div>

                <button type="submit" class="btn btn-info">Guardar</button>

                <?php echo e(Form::close()); ?>


            </div>
        </div>
    </div>

    
    <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" id="video-modal">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Video</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body" id="body-video">
                
                <div class="embed-responsive embed-responsive-16by9" id="video-preload" style="display: none;">
                    <video autoplay loop class="embed-responsive-item">                        
                        <source src="" type="" type="video/mp4" id="video-preview-modal">
                    </video>
                </div>

                

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
              
            </div>
          </div>
        </div>
    </div>

    <div class="modal fade bs-example-modal-lg" tabindex="-1" role="dialog" id="imagen-modal">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Imagen</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body" id="body-imagen">
                
                <img src="" alt="" class="img-responsive">

            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
              
            </div>
          </div>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/form.js')); ?> 

    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    
    <script>
        var comunicado = <?php echo json_encode( $comunicado ); ?>;
        var seleccionados = <?php echo json_encode($codios_seleccionados); ?>;
        console.log(seleccionados);
        var url = '<?php echo asset(""); ?>';
        
        if( comunicado.url_video.length > 0 || comunicado.url_youtube.length > 0 ){
            $("#add-url").prop("checked", true);
            $("#preview-video").show(200);
            $("#add-url-video").show(200);            
            
            if( comunicado.url_youtube.length > 0 ){
                $('[href="#youtube"]').tab('show');
            }

            $("#body-video").empty();
            var video = '<video style="width:750px" class="embed-responsive-item" controls="" src="'+url+comunicado.url_video+'"><source src="'+url+comunicado.url_video+'" id="video-preview-modal"></video>';
            $("#body-video").append(video);                        
        }

        if( comunicado.url_img.length > 0 ){
            $("#add-img").prop("checked", true);
            $("#preview-img").show(200);
            $("#add-imagen-view").show(200);            
            $('#body-imagen img').attr('src', url+comunicado.url_img);
        }   

        if( comunicado.url_pdf.length > 0 ){
            $("#add-pdf").prop("checked", true);
            $("#preview-pdf").show(200);
            $("#add-pdf-view").show(200);            
            // $('#body-imagen img').attr('src', url+comunicado.url_img);
        }           
        
        var url_video = null;        

        $("#view-pdf").click(function(){
            window.open(url+comunicado.url_pdf, '_blank');
        });

        $("#add-pdf").change(function() {
            
            if($(this).is(":checked")) {
                $("#add-pdf-view").show(200);
                console.log($(this).is(":checked"));
            }else{
                $("#add-pdf-view").hide(200);
                console.log($(this).is(":checked"));
            }
        });

        $("#add-url").change(function() {
            
            if($(this).is(":checked")) {
                $("#add-url-video").show(200);
                console.log($(this).is(":checked"));
            }else{
                $("#add-url-video").hide(200);
                console.log($(this).is(":checked"));
            }
        });

        $("#add-img").change(function(){
            if($(this).is(":checked")) {
                $("#add-imagen-view").show(200);                
            }else{
                $("#add-imagen-view").hide(200);                
            }
        });   

        var URL = window.URL || window.webkitURL;

        $("#file-video").change(function(){
            
            var file = this.files[0];
            var type = file.type;
            var videoNode = document.querySelector('video');
            var canPlay = videoNode.canPlayType(type)
            if (canPlay === '') canPlay = 'no'
            var message = 'Can play type "' + type + '": ' + canPlay

            var fileURL = URL.createObjectURL(file);
            videoNode.controls = true;
            url_video = videoNode.src = fileURL

            console.log("FILE",file, videoNode);
            
            if( url_video ){
                $("#preview-video").show(200);
            }

            // var fileURL = URL.createObjectURL(url_video)
            // videoNode.src = fileURL;
            console.log( url_video, url_video );
        });


        $("#file-imagen").change(function(){
            readURL(this);            
        });

        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    // Asignamos el atributo src a la tag de imagen
                    console.log(e.target.result);
                    $('#body-imagen img').attr('src', e.target.result);
                    $("#preview-img").show(200);
                }
                reader.readAsDataURL(input.files[0]);
            }
        }


        $("#view-video-modal").click(function(){
            $("#video-modal").modal();
            
            $("#video-preview-modal").attr( "src", url_video );
        });

        $("#view-img-modal").click(function(){
            $("#imagen-modal").modal();
        });

        $(document).ready(function() {
            
            $('.js-example-basic-multiple').select2();

            // $('.js-example-basic-multiple').val('0'); // Select the option with a value of '1'
            // $('.js-example-basic-multiple').trigger('change'); /
        });


    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>