<?php $__env->startSection('contentTitle', 'Configuración de preguntas'); ?>


<?php $__env->startSection('topButton'); ?>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('CSS'); ?>

   <style>
        .fa-question-circle{
            font-size: 25px !important;
            color: #b4c9f2;
            cursor: pointer;
        }

        .img-modal{
            /* margin-top: 50px; */
            /* padding: 10px 10px 0px 10px; */
            /* margin-bottom: 30px; */
        }

        #body-modal h4{
            margin-top: 30px;
            margin-bottom: 30px !important;
            padding: 0px 10px 0px 10px;
        }
   </style>

<?php $__env->stopSection(); ?>



<?php $__env->startSection('content_dashboard'); ?>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <?php $__currentLoopData = $preguntas; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        
                    <div class="row">
                        
                        <div class="col">

                            <div class="row">
                                <div class="col-lg-11 col-md-11">
                                    <h4>Pregunta inicial</h4>
                                </div>
                                <div class="col-lg-1 col-md-1">
                                    <i class="fa fa-question-circle" aria-hidden="true" onclick="aviso( <?php echo e($key); ?>, 1 )"></i>
                                </div>
                                
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" name="" id="pregunta-<?php echo e($item->id); ?>" cols="8" rows="4"><?php echo e($item->mensaje); ?></textarea>
                            </div>
                         
                            <button class="btn btn-info" onclick="editar( 1, <?php echo e($item); ?> )">Guardar</button>
                            <button class="btn btn-warning" onclick="eliminar(1, <?php echo e($item); ?>)">
                                <i class="fa fa-trash" aria-hidden="true"></i>
                            </button>

                        </div>
                        <div class="col">                            
                            <div class="row">
                                <div class="col-lg-11 col-md-11">
                                    <h4>Mensaje de respuesta</h4>
                                </div>
                                <div class="col-lg-1 col-md-1">
                                    <i class="fa fa-question-circle" aria-hidden="true" onclick="aviso( <?php echo e($key); ?>, 2 )"></i>
                                </div>
                                
                            </div>
                            <div class="form-group">
                                <textarea class="form-control" name="" id="respuesta-<?php echo e($item->id); ?>" cols="8" rows="4"><?php echo e($item->respuesta); ?></textarea>
                            </div>
                         
                            <button class="btn btn-info" onclick="editar( 2, <?php echo e($item); ?> )">Guardar</button>
                            <button class="btn btn-warning" onclick="eliminar( 2,<?php echo e($item); ?>)">
                                <i class="fa fa-trash" aria-hidden="true"></i>
                            </button>
                        </div>

                    </div>

                    <hr>

                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" tabindex="-1" role="dialog" id="aviso">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            
            <div class="modal-body text-center" id="body-modal">
                                
            </div>
            
            <div class="modal-footer">
                <div class="col-lg-12 col-md-12 text-center">        
                    <button type="button" class="btn btn-info btn-lg" data-dismiss="modal">Ok</button>
                </div>
                
            </div>

          </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
      </div><!-- /.modal -->

<?php $__env->stopSection(); ?>




<?php $__env->startSection('JS'); ?>
    <?php echo e(Html::script('system/js/table.js')); ?>

    <?php echo e(Html::script('system/js/form.js')); ?>


    <script>

        var URL = '<?php echo url("/"); ?>';

        function editar( num, pregunta ){
            console.log( pregunta );
            var input;
            if( num == 1 ){
                input = $("#pregunta-"+pregunta.id).val();
            }else{
                input = $("#respuesta-"+pregunta.id).val();
            }

            updatePreguntas( num, pregunta, input, 1 );            

            
        }

        function updatePreguntas( num, pregunta, input, tipo ){
            $.ajax({
                url: '<?php echo e(route("update_preguntas")); ?>',
                type: "POST",
                data: { pregunta: num, id: pregunta.id, pregunta_input: input, tipo:tipo },
                error: function (jqXHR, status, error) {
                    
                    var content = "";
                    for( var res in jqXHR.responseJSON.errors ){
                        content = content + jqXHR.responseJSON.errors[res][0] + "<br>";                        
                        console.log("RES",content);
                    }

                    var form = document.createElement("div");
                    form.innerHTML = content;
                   
                    swal({                       
                        text: "Error",
                        content: form,
                        icon: "error",                        
                    });    

                },  
                success: function (response) {          
                    
                    if( response.status ){
                        swal("Éxito!", response.mensaje, "success");                            
                    }
                }                         
            });
        }

        function eliminar( tipo, pregunta ){            
            
            var text = "";

            if(  tipo == 1){
                text = "pregunta";
            }else{
                text = "respuesta";
            }

            swal({
                    title: "Eliminar",
                    text: "¿Deseas eliminar la "+text+" ?",
                    icon: "warning",
                    confirmButtonText: 'Sí, eliminar',
                    cancelButtonText:"Cancelar",
                    denyButtonText: 'No',
                    showDenyButton: true,
                    showCancelButton: true,
                    dangerMode: true,
                })
                .then((result) => { 
                    console.log(result.value);
                    if (result.value) {
                        if(  tipo == 1){
                            $("#pregunta-"+pregunta.id).val("");
                        }else{
                            $("#respuesta-"+pregunta.id).val("");
                        }
                        updatePreguntas( tipo, pregunta, "", 2 );
                    } 
 
            
            });
            
        }

        function aviso( num, tipo_pregunta ){
            console.log(num, tipo_pregunta);
            $("#body-modal").empty();
            $("#body-modal").append("<h4></h4>");
            $("#body-modal").append("<div class='img-modal'></div>");
            
            if( num == 0 &&  tipo_pregunta == 1 ){
                $("#body-modal h4").append("Primer pregunta dentro de la aplicación Detente");    
                $(".img-modal").append("<img class='img-responsive' src='"+ URL +"/assets/images/preguntas/1.jpg'></img>");
            }
            
            if( num == 0 &&  tipo_pregunta == 2 ){
                $("#body-modal h4").append("Primera notificación que recibirás de la aplicación Detente");                
                $("#body-modal h4").append("<img class='img-responsive' src='"+ URL +"/assets/images/preguntas/2.jpg'></img>");
            }

            if( num == 1 &&  tipo_pregunta == 1 ){
                $("#body-modal h4").append("Segunda pregunta dentro de la aplicación Detente");
                $("#body-modal h4").append("<img class='img-responsive' src='"+ URL +"/assets/images/preguntas/3.jpg'></img>");
            }

            if( num == 1 &&  tipo_pregunta == 2 ){
                $("#body-modal h4").append("Segunda notificación que recibirás de la aplicación Detente");
                $("#body-modal h4").append("<img class='img-responsive' src='"+ URL +"/assets/images/preguntas/4.jpg'></img>");
            }

            $("#body-modal h4").append("<br>");
            // $("#body-modal h4").css([
            //     "margin-top", "30px", "margin-bottom", "30px"
            // ]);

            $("#aviso").modal();
        }
        
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('back.layout.dashboard', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>